2013 Airport Extreme with Airport Utility 5.6?

On Apple's website, they indicated that the 2013 Airport Extreme is only compatible with Airport Utility 6.3. Well, I hate the 6.x Airport Utility because it cannot even list all the connected clients properly (only a simplified list of the wireless clients). I mean really, what kind of router utility that cannot even do that? I'm hanging on the 5.6 version of the utility, but looks like Apple is abandoning it. Can anybody owning the new Airport Extreme confirm if you can still use Airport Utility 5.6 with it?